<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no">
    <link rel="stylesheet" href="styles.css">
    <title>Taylor Pearce - Software Engineer</title>
</head>

<body>
    <style>
        .mobile-menu {
            display: none;
        }

        .mobile-profile {
            display: none;
        }

        @media only screen and (max-width: 1100px) {
            .profile-content {
                margin-left: 0px;
                width: 360px;
            }
        }

        @media only screen and (max-width: 767px) {
            .mobile-menu {
                display: block;
            }

            .profile-text {
                display: none;
            }

            .mobile-profile {
                display: block;
                text-align: center;
            }
        }
    </style>
    <header>
        <div class="nav-container">
            <nav>
                <ul>
                    <li><a href="#about">About Me</a></li>
                    <li><a href="#skills">Skills</a></li>
                    <li><a href="#projects">Projects</a></li>
                    <li><a href="#contact">Contact</a></li>
                </ul>
            </nav>
        </div>
        <div class="mobile-menu">
            <span class="menu-icon">&#9776;</span>
            <nav class="mobile-nav">
                <ul>
                    <li><a href="#about">About Me</a></li>
                </ul>
                <ul>
                    <li><a href="#skills">Skills</a></li>
                </ul>
                <ul>
                    <li><a href="#projects">Projects</a></li>
                </ul>
                <ul>
                    <li><a href="#contact">Contact</a></li>
                </ul>
            </nav>
        </div>
    </header>
    <div class="container">
        <section class="profile">
            <div class="profile-container">

                <div class="inner-container">
                    <div class="profile-content">
                        <div class="profile-text">
                            <h1>Taylor Pearce</h1>
                            <h3>Software Engineer</h3>
                            <h4>Denver, Colorado</h4>
                            <a href="#contact">
                                <button class="contact-button">Contact Me</button>
                            </a>
                            <p>
                                <a class="fa-icon fa-icon-2x" href="https://www.linkedin.com/in/taylorapearce/"
                                    title="">
                                    <i class="fa fa-facebook">
                                        <img src="assets/images/linkedin-color.png" alt="" height="35px">
                                    </i>
                                </a>
                                <a class="fa-icon fa-icon-2x" href="https://gitlab.com/taylor.a.pearce" title="">
                                    <i class="fa fa-facebook">
                                        <img src="assets/images/gitlab-color.png" alt="" height="35px">
                                    </i>
                                </a>
                            </p>
                        </div>
                    </div>

                </div>
            </div>
    </div>
    </section>
    <div class="mobile-profile">
        <h1>Taylor Pearce</h1>
        <h3>Software Engineer</h3>
        <h4>Denver, Colorado</h4>
        <a href="#contact">
            <button class="contact-button">Contact Me</button>
        </a>
        <p>
            <a class="fa-icon fa-icon-2x" href="https://www.linkedin.com/in/taylorapearce/" title="">
                <i class="fa fa-facebook">
                    <img src="assets/images/linkedin-color.png" alt="" height="35px">
                </i>
            </a>
            <a class="fa-icon fa-icon-2x" href="https://gitlab.com/taylor.a.pearce" title="">
                <i class="fa fa-facebook">
                    <img src="assets/images/gitlab-color.png" alt="" height="35px">
                </i>
            </a>
        </p>
    </div>

    <section id="about" class="about-me">
        <div class="about-container">
            <div class="about-content">
                <h2>About Me</h2>
                <p>Hello there! I'm Taylor Pearce, a dynamic Full-Stack Software Engineer based in the vibrant city of
                    Denver, Colorado. My passion lies in crafting top-notch software solutions that not only meet but
                    exceed expectations. </p>

                <p>With a rich skill set encompassing Python, JavaScript, React.JS, Django, FastAPI, HTML5, CSS,
                    Bootstrap, Docker, and PostgreSQL, I bring a diverse and well-rounded expertise to the table.
                    Whether it's coding in Python, creating seamless user experiences with React.JS, or ensuring robust
                    backend functionality with Django and FastAPI, I thrive on turning ideas into reality through the
                    power of code. </p>

                <p>Beyond the realm of coding, I am an ardent advocate for the great outdoors, finding inspiration in
                    the beauty of nature. A strong supporter of international exchange having spent years abroad working
                    in both Japan and Nepal, I believe in the transformative power of cultural diversity and
                    understanding. As a design enthusiast, I am always on the lookout for innovative and visually
                    appealing solutions.</p>

                <p>In the ever-evolving landscape of technology, I am committed to leveraging my skills in software
                    engineering to contribute to a better world. My goal is to foster global understanding through the
                    impactful use of technology, creating solutions that transcend borders and bring people together.
                </p>

                <p>Whether you're a business owner embarking on a new app or web development project, a fellow developer
                    eager to collaborate on exciting ventures, or simply reaching out to say hi, feel free to shoot me a
                    message. Let's join forces and create something exceptional together!</p>
            </div>
        </div>
    </section>

    <section id="skills" class="skills">
        <div class="skills-container">
            <h2>Skills</h2>
            <div class="skill-grid">
            </div>
        </div>
    </section>

    <section id="projects" class="projects">
        <div class="project-container">
            <h2>Projects</h2>
            <div class="project-grid" id="projectGallery">
            </div>
        </div>
    </section>

    <section id="contact" class="contact-me">
        <h2>Contact Me</h2>
        <p>Let's build something amazing together! Feel free to reach out to me through email or social media. You can
            also use the contact form below.</p>
        <form action="https://formspree.io/f/xayrqevw" method="POST">
            <div class="form-group">
                <label for="name">Name:</label>
                <input type="text" id="name" name="name" required>
            </div>
            <div class="form-group">
                <label for="email">Email:</label>
                <input type="email" id="email" name="email" required>
            </div>
            <div class="form-group">
                <label for="message">Message:</label>
                <textarea id="message" name="message" rows="4" required></textarea>
            </div>
            <button class="form-button" type="submit">Send Message</button>
        </form>
    </section>
    </div>

    <script src="app.js"></script>
</body>

</html>
